Subject: RE: bug#22220: 24.5; no documentation for default process sentinel

From: Ram Bhamidipaty <[email-masked]>
Date: Wed, 23 Dec 2015 17:45:22 +0000

This is what I ran into: I am working on some code using the emacs process facility. And I started seeing messages (from the default sentinel) that I did not expect. When I _skimmed_ through the sentinel section I did not notice that a default sentinel is added to all processes. I acknowledge that skimming the docs was not the right thing to do - since I missed the fact that there is a default sentinel.

>From my point of view - I would have been nice - if the default sentinel info were a bit more prominent.

So - I proposed that the name and behavior of the default sentinel be documented. It might not be needed - in the sense that the name itself is not required - but if there were a block of text in the info section like "-- Function: xxx default-sentinel" that would be more prominent - and probably harder to miss.

-Ram

-----Original Message-----
From: John Wiegley [mailto:[email-masked]] 
Sent: Wednesday, December 23, 2015 9:34 AM
To: Eli Zaretskii <[email-masked]>
Cc: Ram Bhamidipaty <[email-masked]>; [email-masked]
Subject: Re: bug#22220: 24.5; no documentation for default process sentinel

>>>>> Eli Zaretskii <[email-masked]> writes:

>> It would be nice if the default process sentinel were explicitly documented
>> - at least the name and formal description.

> As for the name, why is that important? You can always get it installed for
> the process using nil as the argument to set-process-sentinel, and the
> implementation is in C, so how would the name help?

I must admit to a similar confusion. Aside from the fact that more could be
said: does more need to be said?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2